%define upstream_name    Gtk2-Ex-FormFactory
%define upstream_version 0.67

%define NVR %{upstream_name}-%{version}-%{release}
%define maketest 1

Name:       perl-Gtk2-Ex-FormFactory
Version:    %perl_convert_version %upstream_version
Release:    %mkrel 11

Summary:    Gtk2-Ex-FormFactory - Makes building complex GUI's easy
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        http://www.exit1.org/download/ff
Source0:     http://www.exit1.org/packages/Gtk2-Ex-FormFactory/dist/Gtk2-Ex-FormFactory-%upstream_version.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Gtk2)
BuildRequires: perl(Gtk2::SimpleList)
BuildRequires: perl(Gtk2::SimpleMenu)
BuildRequires: perl(Gtk2)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is a framework which tries to make building complex GUI's easy, by
offering these two main features:

  * Consistent looking GUI without the need to code resp. tune
    each widget by hand. Instead you declare the structure of your
    GUI, connect it to the data of your program (which should be
    a well defined set of objects) and control how this structure
    is transformed into a specific layout in a very generic way.

  * Automatically keep widget and object states in sync (in both
    directions), even with complex data structures with a lot of
    internal dependencies, object nesting etc.

This manpage describes the facilities of Gtk2::Ex::FormFactory objects
which are only a small part of the whole framework. To get a full
introduction and overview of how this framework works refer to
Gtk2::Ex::FormFactory::Intro.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
chmod -R u+w %{_builddir}/%{upstream_name}-%{upstream_version}

%build
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="$RPM_OPT_FLAGS"
%{__perl} Makefile.PL `%{__perl} -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| if \$ExtUtils::MakeMaker::VERSION =~ /5\.9[1-6]|6\.0[0-5]/ '` INSTALLDIRS=vendor
%make_build
%if %maketest
%{__make} test
%endif

%install
%{makeinstall} `%{__perl} -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%{buildroot}%{_prefix}| : qq|DESTDIR=%{buildroot}| '`

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null

%files
%doc Changes LICENSE META.yml README examples
%perl_vendorlib/Gtk2/Ex/
%_mandir/man3/Gtk2::Ex*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.670.0-11.mga9
+ Revision: 1838376
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.670.0-10.mga8
+ Revision: 1494789
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.670.0-9.mga7
+ Revision: 1268388
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.670.0-8.mga6
+ Revision: 1028012
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.670.0-7.mga6
+ Revision: 931941
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.670.0-6.mga5
+ Revision: 741818
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.670.0-5.mga5
+ Revision: 732230
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.670.0-4.mga5
+ Revision: 684901
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.670.0-3.mga4
+ Revision: 511961
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.670.0-2.mga3
+ Revision: 367872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.67

* Mon Jan 24 2011 jquelin <jquelin> 0.650.0-1.mga1
+ Revision: 36292
- mageia rebuild
- imported package perl-Gtk2-Ex-FormFactory


* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 0.650.0-1mdv2010.0
+ Revision: 401498
- use perl version macro
- update license

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.65-1mdv2009.0
+ Revision: 135846
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jul 02 2006 Götz Waschk <waschk@mandriva.org> 0.65-1mdv2007.0
- New release 0.65

* Sun Jun 18 2006 Götz Waschk <waschk@mandriva.org> 0.64-1mdk
- New release 0.64

* Mon Apr 24 2006 Götz Waschk <waschk@mandriva.org> 0.63-1mdk
- New release 0.63

* Mon Apr 10 2006 Götz Waschk <waschk@mandriva.org> 0.62-1mdk
- New release 0.62

* Mon Apr 03 2006 Götz Waschk <waschk@mandriva.org> 0.61-1mdk
- New release 0.61

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 0.60-1mdk
- New release 0.60

* Thu Dec 29 2005 Götz Waschk <waschk@mandriva.org> 0.59-1mdk
- New release 0.59

* Fri Nov 04 2005 Götz Waschk <waschk@mandriva.org> 0.58-2mdk
- fix dir (Anssi Hannuta)

* Sun Oct 09 2005 Götz Waschk <waschk@mandriva.org> 0.58-1mdk
- New release 0.58

* Tue Aug 02 2005 Götz Waschk <waschk@mandriva.org> 0.57-1mdk
- new version

* Mon Jul 25 2005 Götz Waschk <waschk@mandriva.org> 0.56-1mdk
- Initial build.

